/* 基本のセレクトボックスのカスタマイズ */
.select {
    background: #cfcedb;
    height: 40px;
    width: 300px;
    border-radius: 5px;
    position: relative;
    z-index: 1;
}

.select::after {
    position: absolute;
    content: "";
    width: 8px;
    height: 8px;
    right: 10px;
    top: 50%;
    transform: translateY(-50%) rotate(45deg);
    border-bottom: 2px solid #fff;
    border-right: 2px solid #fff;
    z-index: -1;
}

select {
    /* 初期化 */
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    background: none;
    border: none;
    color: #333;
    font-size: 16px;
    width: 100%;
    height: 100%;
    padding: 0 10px;
}

/* aタグのリセットCSS（不要な場合、セレクタごと削除してください） */
a.button {
    color: #fff;
    text-decoration: none;
}

/* buttonタグのリセットCSS（不要な場合、セレクタごと削除してください） */
button {
    padding: 0;
    font-family: inherit;
    appearance: none;
    cursor: pointer;
    background-color: transparent;
    border: none;
}

/*
 * 角度の値を保持するCSS変数を定義
 * 対応ブラウザ: https://caniuse.com/?search=%40property
 */
@property --angle {
    syntax: "<angle>";
    inherits: false;
    initial-value: 0deg;
}

.buttonOutlineGlow {
    position: relative;
    display: block;
    width: 100%;
    max-width: 160px;
    height: 32px;
    padding: 2px;
    font-family: sans-serif;
    font-size: 16px;
    color: #fff;
    text-align: center;
    overflow-wrap: anywhere;
    background-color: #939393;
    border-radius: 16px; /* (buttonの高さ / 2) の値 */
}

.buttonOutlineGlow_bg {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: conic-gradient(
        from var(--angle),
        #222,
        #939393,
        #222,
        #939393,
        #222
    );
    border-radius: 32px; /* (buttonの高さ / 2) の値 */
    opacity: 0;
    animation: gradient-spin 3s linear 0s infinite;
}

@keyframes gradient-spin {
    0% {
        --angle: 0deg;
    }

    100% {
        --angle: 360deg;
    }
}

.buttonOutlineGlow_item {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: #222;
    border-radius: 32px; /* (buttonの高さ / 2) の値 */
}

@media (any-hover: hover) {
    .buttonOutlineGlow .buttonOutlineGlow_bg {
        transition: opacity 0.3s;
    }

    .buttonOutlineGlow:hover {
        background-color: #939393;
    }

    .buttonOutlineGlow:hover .buttonOutlineGlow_bg {
        opacity: 1;
    }
}
